Skip to main content
PUT
/
api
/
v0
/
users
set user
curl --request PUT \
  --url https://console.vast.ai/api/v0/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "normalized_email": "user@example.com",
  "username": "johndoe",
  "fullname": "John Doe"
}
'
import requests

url = "https://console.vast.ai/api/v0/users"

payload = {
"normalized_email": "user@example.com",
"username": "johndoe",
"fullname": "John Doe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
normalized_email: 'user@example.com',
username: 'johndoe',
fullname: 'John Doe'
})
};

fetch('https://console.vast.ai/api/v0/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "msg": "Operation completed successfully"
}
{
"success": false,
"msg": "<string>"
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}
{
"detail": "API requests too frequent endpoint threshold=5.0"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
normalized_email
string

Normalized email address.

Example:

"user@example.com"

username
string

Username of the user.

Example:

"johndoe"

fullname
string

Full name of the user.

Example:

"John Doe"

Response

Success response

success
boolean
Example:

true

msg
string
Example:

"Operation completed successfully"